Name:           smartctl-snmp-mib
Version:        0.3
Release:        1%{?dist}
Summary:        An SNMP MIB to represent HDD SMART data

License:        LGPLv3
URL:            https://www.mad-hacking.net/software/linux/agnostic/%{name}/index.xml
Source0:        https://github.com/MADhacking/%{name}/archive/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

BuildArch:      noarch
Requires:       net-snmp hacking-snmp-mib


%description
The smartctl-snmp-mib package provides the Hacking Networked Solutions 
SMARTCTL-MIB. This MIB file describes a standard format for harddisk SMART 
data allowing remote monitoring of drive health using SNMP. Information 
included in the entry for each disk includes Drive Serial Number, Temperature, 
Reallocated Sector Count, Current Pending Sector Count, Off-line Uncorrectable 
Sector Count and UDMA CRC Error Count. Various drive lifetime indicators are 
also monitored including Read Error Rate, Seek Error Rate and Hardware ECC 
Recovered Rate.

%prep
%autosetup -n %{name}-%{name}-%{version}


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_datadir}/snmp/mibs
install -c -m 644  usr/share/snmp/mibs/SMARTCTL-MIB.txt $RPM_BUILD_ROOT%{_datadir}/snmp/mibs


%files
%{_datadir}/snmp/mibs/SMARTCTL-MIB.txt


%changelog
* Mon Jun  4 2018 Gary T. Giesen <ggiesen@giesen.me> - 0.3-1
- Initial build.
